.hs_blog_wrapper {
    padding: 40px 0 120px;
    gap: 40px;
}

.hs_blog_grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.hs_page_wrapper {
    padding: 40px 0 140px;
    gap: 40px;
}

.hs_post_wrapper {
    flex: 1;
    gap: 30px;
}

.hs_post_date {
    gap: 8px;
    font-size: 14px;
    line-height: 1.2;
    color: #A5A5A5;
}

.hs_post_image {
    position: relative;
    overflow: hidden;
    border-radius: 5px;
    background-color: #F2F7FA;
    max-height: 600px;
}

.hs_post_image:before {
    background-image: inherit;
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    transform: scale(1.2);
    filter: blur(10px) brightness(0.93);
}

.hs_post_image img.loaded {
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 0;
}

.hs_post_description p {
    margin: 0;
    margin-bottom: 12px;
}

.hs_post_description p:last-child {
    margin-bottom: 0;
}

.hs_blog_sidebar {
    box-shadow: 0px 0px 25px 0px #00314F36;
    gap: 20px;
    width: 590px;
    max-height: fit-content;
    padding: 30px 20px;
    position: sticky;
    top: var(--header-height);
    top: calc(var(--header-height) + 16px);
    border-radius: 5px;
}

.hs_blog_sidebar_ttl {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 10px;
}

.hs_blog_sidebar_cat_ttl {
    color: #007BC1;
    font-size: 18px;
    font-weight: 600;
}

.hs_fav_post {
    gap: 20px;
}

.hs_fav_post_name {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 10px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 2;
    transition: 0.3s;
}

.hs_fav_post_date {
    gap: 8px;
    font-size: 14px;
    line-height: 1.2;
    color: #A5A5A5;
}

.hs_fav_post_image {
    position: relative;
    overflow: hidden;
    border-radius: 5px;
    background-color: #F2F7FA;
    width: 150px;
    min-width: 150px;
    height: 100px;
}

.hs_fav_post_image:before {
    background-image: inherit;
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    transform: scale(1.2);
    filter: blur(10px) brightness(0.93);
}

.hs_fav_post_image img.loaded:not(.no_image) {
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 0;
}

.hs_fav_post_image .no_image {
    height: 80%;
    width: 80%;
}

.hs_post_video_wrapper {
    display: flex;
    border-radius: 5px;
    background-color: #F2F7FA;
    overflow: hidden;
}

.hs_post_video_wrapper iframe {
    width: 100%;
    height: auto;
    max-height: 600px;
    aspect-ratio: 16 / 9;
}

